net.i2p.router.web

## Class ConfigUpdateHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.ConfigUpdateHelper

-     public class ConfigUpdateHelper
      extends HelperBase

  Helper class for managing I2P router update configuration and UI generation.

  This class provides methods for configuring and displaying update settings including proxy configuration, update policies, refresh frequencies, and trusted key management. It integrates with the router console to generate HTML form elements for update configuration.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.HelperBase

      `_context, _out, CHECKED, PROP_ADVANCED, SELECTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigUpdateHelper()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canInstall()`
    `String` | `getDevSU3URL()`
    `String` | `getNewsStatus()`
    `String` | `getNewsThroughProxy()`
    `String` | `getNewsURL()`
    `static String` | `getNewsURL(I2PAppContext ctx)`
    `String` | `getProxyHost()`
    `String` | `getProxyPort()`
    `String` | `getRefreshFrequencySelectBox()`
    `String` | `getTrustedKeys()`
    `String` | `getUpdateDevSU3()`
    `String` | `getUpdatePolicySelectBox()` Right now the jsp hides the whole select box if _dontInstall is true but this could change
    `String` | `getUpdateThroughProxy()`
    `String` | `getUpdateUnsigned()`
    `String` | `getUpdateURL()`
    `String` | `getZipURL()`
    `void` | `setContextId(String contextId)` hook this so we can call dontInstall() once after getting a context
    `boolean` | `updateAvailable()`

    - ### Methods inherited from class net.i2p.router.web.HelperBase

      `_t, _t, _t, _x, getChecked, getCheckedDefaultTrue, isAdvanced, ngettext, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigUpdateHelper

          public ConfigUpdateHelper()

  - ### Method Detail

    - #### canInstall

          public boolean canInstall()

    - #### getDevSU3URL

          public String getDevSU3URL()

    - #### getNewsStatus

          public String getNewsStatus()

    - #### getNewsThroughProxy

          public String getNewsThroughProxy()

    - #### getNewsURL

          public String getNewsURL()

    - #### getNewsURL

          public static String getNewsURL(I2PAppContext ctx)

    - #### getProxyHost

          public String getProxyHost()

    - #### getProxyPort

          public String getProxyPort()

    - #### getRefreshFrequencySelectBox

          public String getRefreshFrequencySelectBox()

    - #### getTrustedKeys

          public String getTrustedKeys()

    - #### getUpdateDevSU3

          public String getUpdateDevSU3()

    - #### getUpdatePolicySelectBox

          public String getUpdatePolicySelectBox()

      Right now the jsp hides the whole select box if _dontInstall is true but this could change

    - #### getUpdateThroughProxy

          public String getUpdateThroughProxy()

    - #### getUpdateUnsigned

          public String getUpdateUnsigned()

    - #### getUpdateURL

          public String getUpdateURL()

    - #### getZipURL

          public String getZipURL()

    - #### setContextId

          public void setContextId(String contextId)

      hook this so we can call dontInstall() once after getting a context
      Overrides:
        `setContextId` in class `HelperBase`
      Parameters:
        `contextId` - beginning few characters of the routerHash, or null to pick the first one we come across.

    - #### updateAvailable

          public boolean updateAvailable()